#
# $Id$
#
%define url $URL$

# Thierry Parmentelat - INRIA
# Copyright (C) 2010 INRIA
# License is GPL.

%define name omf-expctl
%define version 5.3
%define taglevel 4

%define plc_name %{name}-%{version}-%{taglevel}
%define actual_name omf-resctl-5.3-1ubuntu2-2

Summary: OMF Experiment Controller - for end-users
Name: %{name}
Version: %{version}
Release: %{taglevel}
License: GPL
Group: System Environment/Base
Source0: %{plc_name}.tar.bz2
BuildRoot: %{_tmppath}/%{plc_name}-buildroot

Vendor: NICTA
Packager: PlanetLab <devel@planet-lab.org>
Distribution: %{pldistro} %{plrelease}
URL: %(echo %{url} | cut -d ' ' -f 2)
# BuildArch: noarch

Requires: pciutils  
Requires: ruby  
Requires: wget  
Requires: wireless-tools  
Requires: rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1
#
Requires: omf-common  
Requires: liblog4r
Requires: libxmpp4r
Requires: imagezip

%description 
The OMF Experiment Controller (EC) is the front end for
experimenters/users to run and manage their experiments.

####################

%prep
%setup -n %{plc_name}

%build
rm -rf $RPM_BUILD_ROOT

mkdir unwrap

make omf-resctl 
(cd unwrap; rpm2cpio ../%{actual_name}.noarch.rpm | cpio -diu)

# cleanup any svn sequels
find unwrap -type d -name .svn -print0 | xargs -0 rm -rf

%install
rm -fr $RPM_BUILD_ROOT

rsync -a unwrap/ $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

####################
%files
%defattr(-,root,root)
/etc
/usr/sbin
/usr/share/omf-resctl-%{version}
/usr/share/doc

####################
%changelog
* Tue May 25 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - omf-5.3-4
- fix stupid typo in tag 5.3-3

* Tue May 25 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - omf-5.3-3
- fetch from the tagged omf-5.3-federation-v1.1 - and turn SHA1SUM checking back on again

* Fri Apr 02 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - omf-5.3-2
- package the exp. controller as well for user convenience

